Package org.apache.storm.trident.planner

# Class Node

java.lang.Object
org.apache.storm.trident.operation.DefaultResourceDeclarer<Node>
org.apache.storm.trident.planner.Node

All Implemented Interfaces:
  `Serializable`, `ResourceDeclarer<Node>`, `ITridentResource`

Direct Known Subclasses:
  `PartitionNode`, `ProcessorNode`, `SpoutNode`

public class Node extends DefaultResourceDeclarer<Node> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Fields`
  `allOutputFields`
  `int`
  `creationIndex`
  `String`
  `name`
  `Integer`
  `parallelismHint`
  `NodeStateInfo`
  `stateInfo`
  `String`
  `streamId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node(String streamId, String name, Fields allOutputFields)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `shortString()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.storm.trident.operation.DefaultResourceDeclarer

  `addSharedMemory, getResources, getSharedMemory, setCPULoad, setMemoryLoad, setMemoryLoad`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name

  - ### allOutputFields

    public Fields allOutputFields

  - ### streamId

    public String streamId

  - ### parallelismHint

    public Integer parallelismHint

  - ### stateInfo

    public NodeStateInfo stateInfo

  - ### creationIndex

    public int creationIndex

- ## Constructor Details

  - ### Node

    public Node(String streamId, String name, Fields allOutputFields)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### shortString

    public String shortString()